package com.engine.kq.cmd.attendanceButton;

public enum ButtonStatusEnum {
  NORMAL("NORMAL","0"),//正常
  BELATE("BELATE","1"),//迟到
  LEAVEERALY("LEAVEERALY","2"),//早退
  ABSENT("ABSENT","3"),//旷工
  NOSIGN("NOSIGN","4"),//漏签
  NOSIGN_ON("NOSIGN_ON","44");//上班漏签

  private String statusName;
  private String statusCode;

  private ButtonStatusEnum(String statusName,String statusCode) {
    this.statusName = statusName;
    this.statusCode = statusCode;
  }

  public String getStatusName() {
    return statusName;
  }

  public void setStatusName(String statusName) {
    this.statusName = statusName;
  }

  public String getStatusCode() {
    return statusCode;
  }

  public void setStatusCode(String statusCode) {
    this.statusCode = statusCode;
  }
}
